<?php
/*------------------------------------------------------------------------
# VC Premier for Joomla 1.5.x - Version 1.0 - Licence Owner Designer Sand Box Design Team
# ------------------------------------------------------------------------
# Copyright (C) 2004-2009 VCSpiritFruit / Asia One Hosting Ltd. All Rights Reserved.
# @license - Copyrighted Commercial Software
# Author: VC
# Websites:  http://www.designersandbox.com
# This file may not be redistributed in whole or significant part.
-------------------------------------------------------------------------*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
include_once (dirname(__FILE__).DS.'/module_auto.php');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>">

<head>
<jdoc:include type="head" />

<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/menu.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/960.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/reset.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/text.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/color.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/typo.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/top_menu.css" type="text/css" />

<script language="javascript" type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/js/cssmenu.js"></script>


<!--[if gte IE 7.0]>
<style type="text/css">
.clearfix {display: inline-block;}
</style>
<![endif]-->

<!--[if lte IE 6]>
<style type="text/css">
#vc-main{height:100%;}
.clearfix {height: 1%;}
.bigblock_badge, .bigblock_chat, .bigblock_cloud, .bigblock_mystery, .bigblock_police, .bigblock_sales, .bigblock_stamp, .bigblock_stop, .bigblock_badge {left:-55px}

</style>
<![endif]-->

</head>

<body>
<a name="Top" id="Top"></a>
<div class="container_16" id="vc-main">
<?php if($this->countModules('breadcrumbs or top')) : ?>
    <!-- BEGIN: breadcrumbs -->
    <div class="container_fluid pathsearch">
        <div class="grid_fluid">
           <?php if($this->countModules('breadcrumbs')) : ?>
            <div id="breadcrumb">
                <jdoc:include type="module" name="breadcrumbs" />
            </div>
            <?php endif; ?>
            <!-- BEGIN: search -->
            <?php if($this->countModules('top')) : ?>
            <div id="search">
                <jdoc:include type="modules" name="top" style="raw" />
            </div>
            <?php endif; ?>
    </div>
    </div>
    <div class="clear"></div>
<?php endif; ?>

    <!-- BEGIN: header -->
    <div id="vc-header">
        <h1 class="logo">
            <a href="index.php" title="DS Busuit"><span>DS Busuit - Premium Business Template for Joomla!</span></a>
        </h1>
        <div id="mainlevelmainnav">
            <div class="hornav">
            <jdoc:include type="modules" name="hornav" style="xhtml" />
            </div>
        </div>
        <div class="spacer clear "></div>
    </div>
    <!-- END: header -->
    
    <!-- BEGIN: body -->
    <div id="vc-body">
		<?php if($this->countModules('leftnews')) : ?>
            <div class="grid_4 norightpadding">
                    <jdoc:include type="modules" name="leftnews" style="rounded"/>
            </div>
        <?php endif; ?>
		<?php if($this->countModules('slide')) : ?>
            <div class="grid_12 grid_12x noleftpadding">
                    <jdoc:include type="modules" name="slide" style="none"/>
            </div>
        <div class="clear"></div>
		<?php endif; ?>
    
        <?php if($this->countModules('user1 or user2 or user3 or user4')) : ?>
        <div class="grid_16">
			<?php
            $automodule = array ('user1','user2','user3','user4');
            $autobot = calAutowidth ($automodule, $this,96,0,0);	
            ?>
                <!-- BEGIN: HOME SPOTLIGHT -->
                <?php if( $this->countModules('user1') ): ?>
                  <div class="module_auto<?php echo $autobot['user1']['class']; ?>" style="width: <?php echo $autobot['user1']['width']; ?>;">
                    <jdoc:include type="modules" name="user1" style="rounded" />
                  </div>
                <?php endif; ?>
                
                <?php if( $this->countModules('user2') ): ?>
                  <div class="module_auto<?php echo $autobot['user2']['class']; ?>" style="width: <?php echo $autobot['user2']['width']; ?>;">
                    <jdoc:include type="modules" name="user2" style="rounded" />
                  </div>
                <?php endif; ?>
                
                <?php if( $this->countModules('user3') ): ?>
                  <div class="module_auto<?php echo $autobot['user3']['class']; ?>" style="width: <?php echo $autobot['user3']['width']; ?>;">
                    <jdoc:include type="modules" name="user3" style="rounded" />
                  </div>
                <?php endif; ?>
                <?php if( $this->countModules('user4') ): ?>
                  <div class="module_auto<?php echo $autobot['user4']['class']; ?>" style="width: <?php echo $autobot['user4']['width']; ?>;">
                    <jdoc:include type="modules" name="user4" style="rounded" />
                  </div>
                <!-- END: HOME SPOTLIGHT -->
                <?php endif; ?>
        </div>
        <div class="clear"></div>
 		<?php endif; ?>
        
		<?php if($this->countModules('banner')) : ?>
        <div class="grid_16">
            <jdoc:include type="modules" name="banner" style="rounded"/>
        </div>
        <div class="clear"></div>
       <?php endif; ?>
 
    
    
        <div id="content_wrap">
        <?php if($this->countModules('left')) : ?>
        <!-- Begin .grid_4 left-->
        <div class="grid_4">
                <jdoc:include type="modules" name="left" style="rounded" />
        </div>
        <!-- end .grid_4 left-->
        <?php endif; ?>

        <div class="<?php if($this->countModules('left')) echo 'grid_12'; else echo 'grid_16' ;?>">
            
            <div class="<?php
            if($this->countModules('left'))	{
                if($this->countModules('right')) 
                    echo 'grid_9 alpha';//if contain left will return grid_12;
                else
                    echo 'grid_12 alpha'; //if contain left will return grid_12;
            }
            else
            {
                if($this->countModules('right')) 
                    echo 'grid_13 alpha'; //if not contain left and contain right 
                else
                    echo 'grid_16 alpha'; //if not contain left and not contain right 
            }
            ?>">
                <jdoc:include type="component" />
            </div>
            <!-- end .grid_9 -->
    
            <?php if($this->countModules('right')) : ?>
            <div class="grid_3 omega">
                <?php if ($this->countModules('right')): ?>
                <!-- BEGIN: RIGHT COLUMN -->
                    <jdoc:include type="modules" name="right" style="rounded" />
                <!-- END: RIGHT COLUMN -->
                <?php endif; ?>
            </div>
            <?php endif; ?>
            <!-- end .grid_3 -->
    
        </div>
        <!-- end .grid_13 -->
        <div class="clear"></div>

	</div>
</div>
<!-- end .container_16 -->
    
    <!-- BEGIN: FOOTER -->
    <div id="vc-footer" class="grid_16">
    
		<div class="innerfooter_wrap">
            <span class="vc-cert">
                <jdoc:include type="modules" name="syndicate" />
            </span>
            <div class="copyright">
                <jdoc:include type="modules" name="footer" />
            </div>
    	</div>

    </div>
    <!-- END: FOOTER -->
    





<!-- END: CONTENT -->


<jdoc:include type="modules" name="debug" />

<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-10617936-4");
pageTracker._trackPageview();
} catch(err) {}</script>
</body>

</html>
